import { defineComponent, toRefs, openBlock, createElementBlock, createElementVNode, createVNode, unref, pushScopeId, popScopeId } from "vue";
import _imports_0 from "./images/totitle.mjs";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-ae366780"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "title02" };
const _hoisted_2 = { class: "second" };
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("img", {
  src: _imports_0,
  class: "xhx"
}, null, -1));
const __default__ = defineComponent({ name: "ETitle03" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { titleConfig, imageConfig } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createVNode(_sfc_main$1, {
            class: "second_img",
            config: unref(imageConfig),
            type: "img"
          }, null, 8, ["config"]),
          createVNode(_sfc_main$1, {
            class: "second_title",
            config: unref(titleConfig),
            type: "text"
          }, null, 8, ["config"])
        ]),
        _hoisted_3
      ]);
    };
  }
});
var _ETitle03 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-ae366780"]]);
export { _ETitle03 as default };
